wiki:RFC6

Version 4 (modified by Bas Couwenberg, 2 years ago) (diff)

Add OSSIM to GEOS C++ API users

GEOS RFC 6: Drop support for C++ API and stop shipping the header

This document proposes to drop the support of GEOS C++ API starting with GEOS 3.8 and to not ship the C++ Headers anymore

RFC 6: Drop support for C++ API and stop shipping the header
Author: Regina Obe
Contact:lr@…
Status: In Discussion

We should drop C++ API because we do not have the manpower to guarantee ABI compatiblity from version to version. Currently osm2pgsql (and before Osmium) and OSSIM were the only ones that use the GEOS C++ API.

Sandro proposed perhaps just making it more noisy. It is my experience that most developers ignore noise. So if we can't support an API full-heartedly I'd just assume drop it.

It causes all sorts of problems for users relying on the GEOS upstream and novice users will be burned when their code no longer works with newer GEOS.

For GEOS 3.7.0 we should put in a stern warning at configure / cmake that this will be the last minor to support the C++ API so people should start changing their code to not rely on it.